Profile

Profile Overview

Description

This endpoint retrieves basic information on the profile like name, connections count, followers count, headline, hashtags, profile picture and etc.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/overview

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

chevron-rightExample Requesthashtag
curl -X GET 'https://api.webit.live/api/v1/realtime/social/linkedin/v1/profile/urik/overview' \
--header 'Authorization: Basic <credential string>'
chevron-rightExample Responsehashtag
{
    "first_name": "Uriel",
    "middle_name": null,
    "last_name": "Knorovich",
    "public_identifier": "urik",
    "urn": "urn:li:fsd_profile:ACoAAB4VgvEBB9Tk2OSbiSDXL6fh9NE1G0Ku_Js",
    "url": "https://linkedin.com/in/urik",
    "has_premium": true,
    "is_influencer": false,
    "is_creator": true,
    "is_openlink": false,
    "is_job_seeker": false,
    "is_hiring": false,
    "is_retired": false,
    "linkedin_id": "504726257",
    "creator_info": {
        "associated_hashtag": []
    },
    "headline": "Co-Founder & CEO at Nimble | Modern Data Platform | Forbes Technology Council",
    "education": {
        "name": "Tel Aviv University",
        "urn": "urn:li:fsd_school:13403",
        "url": "https://www.linkedin.com/school/tel-aviv-university/"
    },
    "connections": 3425,
    "followers": 5409,
    "location": {
        "name": "New York, New York",
        "urn": "urn:li:fsd_geo:102571732",
        "country": {
            "name": "United States",
            "code": "us",
            "urn": "urn:li:fsd_geo:103644278"
        }
    },
    "top_position": {
        "start_date": {
            "month": 7,
            "year": 2024
        },
        "end_date": {
            "month": null,
            "year": null
        },
        "company_info": {
            "name": "Forbes Technology Council",
            "logo": "https://media.licdn.com/dms/image/v2/C560BAQGWm60rwBPz-Q/company-logo_400_400/company-logo_400_400/0/1659656352490/forbestechcouncil_logo?e=1732752000&v=beta&t=y6Zso4BSY93-0qR2CjZkSYzI9O3tWNC7rpBJKRNd-Yk",
            "universal_name": "forbestechcouncil",
            "url": "https://www.linkedin.com/company/forbestechcouncil/",
            "urn": "urn:li:fsd_company:11075183"
        },
        "urn": "urn:li:fsd_profilePosition:(ACoAAB4VgvEBB9Tk2OSbiSDXL6fh9NE1G0Ku_Js,2432237447)"
    },
    "profile_picture": "https://media.licdn.com/dms/image/v2/D4D03AQHQ8pne6zuGVg/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1708885626845?e=1730332800&v=beta&t=y_DpB9PxVsWVlXD9PcQ7zRBeev3MKnTKUlDX4gMfosg",
    "background_picture": "https://media.licdn.com/dms/image/v2/C5616AQEw_XEZDDAHNg/profile-displaybackgroundimage-shrink_350_1400/profile-displaybackgroundimage-shrink_350_1400/0/1640100684492?e=1730332800&v=beta&t=QOpcWGnLOWgXOzI97a8IHHmcr-O5LiCY1AcK7sB-ZhY",
    "profile_picture_id": "D4D03AQHQ8pne6zuGVg",
    "version_tag": "3349238601",
    "is_verified": false
}

Profile About

Description

This endpoint retrieves the About section of profile.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/about

Limitation

Subject
Value

Languages

2 results. To get more results, see the Languages endpoint.

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Additional Info

Description

This endpoint retrieves profile's additional information such as joined date.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/additional-info

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Experience

Description

This endpoint retrieves the profile's experiences.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/experience

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Skills

Description

This endpoint retrieves the profile's skills.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/skills

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Skills Endorsers

Description

This endpoint retrieves the profile's skiils endorsers.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/skill-endorsers

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Education

Description

This endpoint retrieves the profile's education.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/education

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Recommendations

Description

This endpoint retrieves the profile's recommendations.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/recommendations?type={{type}}

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

type

No

Query Param

String | The type of recommendations you want to receive. There are two types:

  • received

  • given

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Contact Info

Description

This endpoint retrieves the profile's contact info.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/contact-info

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Activity

Description

This endpoint retrieves the profile's activity on Linkedin. There are many types of activity, only the following ones are currently supported:

  • Posts - posts the user has published

  • Comments - posts the user has commented on

  • Reactions - posts the user reacted to (liked/ did any other reaction)

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/activity?type={{type}}

Limitation

Subject
Value

Results Per Request

100 results

When utilizing type query param ("posts", "comments", or "reactions")

  • The author and backgroundImage field will be removed.

  • The firstName + lastName fields will be changed to title.

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

type

No

Query Param

String | Use this parameter to decide which type of posts you receive. Supported options are:

  • posts - all posts

  • comments - posts commented on

  • reactions - posts reacted to

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile People also Viewed

Description

This endpoint retrieves the people also viewed section in a user profile.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/people-also-viewed

Limitation

Subject
Value

Results Per Request

1max 100 results - usually 20 to 30 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Interests

Description

This endpoint retrieves the profile's interests.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/interests?type={{type}}

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

type

No

Query Param

String | The type of interests to be returned. There are five options:

  • influencers (top voices)

  • companies

  • groups

  • newsletters

  • schools

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Courses

Description

This endpoint retrieves the profile's courses.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/courses

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Events

Description

This endpoint retrieves the profile's events.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/events

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Honor and Awards

Description

This endpoint retrieves the profile's honors and awards.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/honors-and-awards

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Images

Description

This endpoint retrieves the profile's images

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/images

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Languages

Description

This endpoint retrieves the profile's spoken languages.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/languages

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Licenses & Certifications

Description

This endpoint retrieves the profile's licenses and certifications.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/licenses-and-certifications

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Organizations

Description

This endpoint retrieves the profile's organizations.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/organizations

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Volunteering Experience

Description

This endpoint retrieves the profile's volunteering experience.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/volunteering-experience

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Patents

Description

This endpoint retrieves the profile's patents.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/patents

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Projects

Description

This endpoint retrieves the profile's projects.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/projects

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Publications

Description

This endpoint retrieves the profile's publications.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/publications

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Profile Test Scores

Description

This endpoint retrieves the profile's test scores.

Endpoint

GET api/v1/realtime/social/linkedin/v1/profile/{{identifier}}/test-scores

Limitation

Subject
Value

Results Per Request

100 results

Parameters

Param
Required
Param Type
Description

identifier

Yes

Path Param

String | The public identifier of the profile. For more info go to the 'Get Started' section at the top of the page.

cursor

No

Query Param

String | Used for paginate through results. Use the cursor returned from your previous request.

chevron-rightExample Requesthashtag
chevron-rightExample Responsehashtag

Last updated